View Issue Details

IDProjectCategoryView StatusLast Update
0005096Talerdeployment and operationspublic2017-10-18 15:42
ReporterMarcello StanisciAssigned ToMarcello Stanisci 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.4Fixed in Version0.4 
Summary0005096: Tripwire unhappy with Selenium
DescriptionThe combo Selenium 3.4.3, chromedriver 2.29, chromium 59 on Tripwire, does not work. Nonetheless, Selenium does work on my local system with older versions of the three actors.

Those old working versions of mine are from the oldstable.

It crashes with the following message:

Traceback (most recent call last):
  File "wallet-webex/selenium/withdraw_buy.py", line 322, in <module>
    ret = client_setup(args)
  File "wallet-webex/selenium/withdraw_buy.py", line 49, in client_setup
    client = webdriver.Chrome(desired_capabilities=cap)
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/chrome/webdriver.py", line 69, in __init__
    desired_capabilities=desired_capabilities)
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/remote/webdriver.py", line 98, in __init__
    self.start_session(desired_capabilities, browser_profile)
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/remote/webdriver.py", line 188, in start_session
    response = self.execute(Command.NEW_SESSION, parameters)
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/remote/webdriver.py", line 256, in execute
    self.error_handler.check_response(response)
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/remote/errorhandler.py", line 194, in check_response
    raise exception_class(message, screen, stacktrace)
selenium.common.exceptions.WebDriverException: Message: chrome not reachable
  (Driver info: chromedriver=2.29 (undefined),platform=Linux 4.7.0-1-amd64 x86_64)

Yes, PATH was correctly set to include /usr/lib/chromium.
TagsNo tags attached.

Activities

Marcello Stanisci

2017-06-28 20:26

manager   ~0012274

Does someone really want to install software from oldstable?

Christian Grothoff

2017-07-05 09:11

manager   ~0012304

Do we know what the result is with stable/testing/unstable? I'd rather go forward than backward.

Marcello Stanisci

2017-07-10 12:15

manager   ~0012318

Today Tripwire likes it, all the time. So I'm changing the status to 'feedback'. Some did upgrade packages in the system?

Marcello Stanisci

2017-07-10 12:24

manager   ~0012319

Ok, got the error again. I got it this way:

(1) if the test is launched manually (*), then it passes.

(2) if the test is launched by the script launch_selenium_test (**), then the test hangs

(3) once the test hangs from (2), then the manual invocation fails too.



(*) python3 path/to/wallet-webex/selenium/withdraw_buy.py --ext-unpacked=path/to/compiled/wallet-webex
(**) from deployment.git

Marcello Stanisci

2017-07-10 12:31

manager   ~0012320

Last edited: 2017-07-10 12:32

View 2 revisions

44c9293 (@deployment.git) fixed this bug; the wallet was compiled with 'tsc' which was presumably generating a "wrong" extension.

Marcello Stanisci

2017-07-10 12:46

manager   ~0012321

Worth noting: using 'ulimit -v 4000000' also makes the test fail! This time it happens when the test waits for the pay button to be clickable
upon paying for an article.

Marcello Stanisci

2017-07-10 12:54

manager   ~0012322

Fixed wiht ulimit -v 6000000. However, why does it want this much memory? It's more than 5GB ...

Issue History

Date Modified Username Field Change
2017-06-28 20:25 Marcello Stanisci New Issue
2017-06-28 20:26 Marcello Stanisci Note Added: 0012274
2017-06-28 20:27 Marcello Stanisci Description Updated View Revisions
2017-06-28 20:27 Marcello Stanisci Description Updated View Revisions
2017-06-28 20:28 Marcello Stanisci Description Updated View Revisions
2017-06-28 20:29 Marcello Stanisci Target Version => 0.4
2017-07-05 09:11 Christian Grothoff Note Added: 0012304
2017-07-07 22:54 Marcello Stanisci Assigned To => Marcello Stanisci
2017-07-07 22:54 Marcello Stanisci Status new => assigned
2017-07-10 12:15 Marcello Stanisci Note Added: 0012318
2017-07-10 12:17 Marcello Stanisci Status assigned => feedback
2017-07-10 12:24 Marcello Stanisci Note Added: 0012319
2017-07-10 12:31 Marcello Stanisci Status feedback => resolved
2017-07-10 12:31 Marcello Stanisci Resolution open => fixed
2017-07-10 12:31 Marcello Stanisci Note Added: 0012320
2017-07-10 12:32 Marcello Stanisci Note Edited: 0012320 View Revisions
2017-07-10 12:46 Marcello Stanisci Note Added: 0012321
2017-07-10 12:54 Marcello Stanisci Note Added: 0012322
2017-10-11 14:13 Christian Grothoff Product Version => SVN HEAD
2017-10-11 14:13 Christian Grothoff Fixed in Version => 0.4
2017-10-18 15:42 Christian Grothoff Status resolved => closed